Company Columns
curl --request GET \
--url https://api.revenuebase.ai/v2/contact/company/columns \
--header 'X-Key: <api-key>'import requests
url = "https://api.revenuebase.ai/v2/contact/company/columns"
headers = {"X-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Key': '<api-key>'}};
fetch('https://api.revenuebase.ai/v2/contact/company/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.revenuebase.ai/v2/contact/company/columns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.revenuebase.ai/v2/contact/company/columns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.revenuebase.ai/v2/contact/company/columns")
.header("X-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.revenuebase.ai/v2/contact/company/columns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"columns": [
{
"columnName": "EMPLOYEE_COUNT_RANGE_ORG",
"humanName": "Employee Linkedin Count Range",
"sourceType": "LowCardinality(Nullable(String))",
"multiselect": true,
"valueLimit": 50,
"distinctValues": [
"1 to 10",
"10001+",
"1001 to 5000",
"11 to 50",
"201 to 500",
"5001 to 10000",
"501 to 1000",
"51 to 200"
],
"distinctValuesTruncated": false
}
],
"previewDefaultLimit": 1000,
"previewMaxLimit": 50000,
"exportMaxRows": 1000000,
"valuesIncluded": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Company Endpoints
Company Columns
Discover the company fields and filter options available to your integration.
GET
/
company
/
columns
Company Columns
curl --request GET \
--url https://api.revenuebase.ai/v2/contact/company/columns \
--header 'X-Key: <api-key>'import requests
url = "https://api.revenuebase.ai/v2/contact/company/columns"
headers = {"X-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Key': '<api-key>'}};
fetch('https://api.revenuebase.ai/v2/contact/company/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.revenuebase.ai/v2/contact/company/columns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.revenuebase.ai/v2/contact/company/columns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.revenuebase.ai/v2/contact/company/columns")
.header("X-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.revenuebase.ai/v2/contact/company/columns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"columns": [
{
"columnName": "EMPLOYEE_COUNT_RANGE_ORG",
"humanName": "Employee Linkedin Count Range",
"sourceType": "LowCardinality(Nullable(String))",
"multiselect": true,
"valueLimit": 50,
"distinctValues": [
"1 to 10",
"10001+",
"1001 to 5000",
"11 to 50",
"201 to 500",
"5001 to 10000",
"501 to 1000",
"51 to 200"
],
"distinctValuesTruncated": false
}
],
"previewDefaultLimit": 1000,
"previewMaxLimit": 50000,
"exportMaxRows": 1000000,
"valuesIncluded": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Credits and plans
PAYG is Pay-as-you-go. AYCE is All-you-can-eat.| Usage | PAYG | AYCE |
|---|---|---|
| Metadata request | Free 0 credits | Free 0 credits |
When to use Company Columns
Discover supported company fields before building a filter or selecting output columns. Use include=values to fetch all available picker vocabularies in one request.Example
SetREVENUEBASE_API_KEY to your API key.
curl --request GET 'https://api.revenuebase.ai/v2/contact/company/columns?include=values' \
--header "X-Key: $REVENUEBASE_API_KEY"
{
"columns": [
{
"columnName": "EMPLOYEE_COUNT_RANGE_ORG",
"humanName": "Employee Linkedin Count Range",
"sourceType": "LowCardinality(Nullable(String))",
"multiselect": true,
"valueLimit": 50,
"distinctValues": [
"1 to 10",
"10001+",
"1001 to 5000",
"11 to 50",
"201 to 500",
"5001 to 10000",
"501 to 1000",
"51 to 200"
],
"distinctValuesTruncated": false
}
],
"previewDefaultLimit": 1000,
"previewMaxLimit": 50000,
"exportMaxRows": 1000000,
"valuesIncluded": true
}
Read the catalog
columns contains field metadata such as columnName, humanName, sourceType, and supported filter behavior. defaultColumns is the default company projection. multiselectColumns identifies picker fields; valueLimit gives each field’s vocabulary cap. valuesIncluded=true confirms embedded vocabularies were requested. previewDefaultLimit, previewMaxLimit, and exportMaxRows report retrieval limits. Choose fields from this catalog for company Preview, Insights, and Enrich. Company Count and Export can also use contact conditions to select companies represented by those contacts.Errors and retries
Correct unsupported fields or filters before retrying a 400 or 422 response. If a 429 response is returned, wait for Retry-After. Contact and company routes share the default 10 requests per second per user.Next steps
Get values for one field, or count a company audience.Was this page helpful?
